#!/bin/bash

# non-JC, rare gems
wget -q http://www.wow-gem.com/gems.aspx/njc/rare/metas   -O metas
wget -q http://www.wow-gem.com/gems.aspx/njc/rare/yellows -O yellows
wget -q http://www.wow-gem.com/gems.aspx/njc/rare/reds    -O reds
wget -q http://www.wow-gem.com/gems.aspx/njc/rare/blues   -O blues

# non-JC, epic gems
wget -q http://www.wow-gem.com/gems.aspx/njc/epic/yellows -O epicyellows
wget -q http://www.wow-gem.com/gems.aspx/njc/epic/reds    -O epicreds
wget -q http://www.wow-gem.com/gems.aspx/njc/epic/blues   -O epicblues

sh ../filter.sh < metas   > MetaIDs
sh ../filter.sh < blues   > BlueIDs
sh ../filter.sh < reds    > RedIDs
sh ../filter.sh < yellows > YellowIDs

sh ../filter.sh < epicblues   > EpicBlueIDs
sh ../filter.sh < epicreds    > EpicRedIDs
sh ../filter.sh < epicyellows > EpicYellowIDs

# Convert to LUA

function convert {
  echo "Considerater.$1 = {" > $2
  for i in `cat $1`; do
    echo "  $i," >> $2
  done
  echo "}" >> $2
  echo >> $2
}

convert "MetaIDs"       "metaGemIDs.lua" 
convert "BlueIDs"       "blueGemIDs.lua" 
convert "RedIDs"        "redGemIDs.lua" 
convert "YellowIDs"     "yellowGemIDs.lua" 
convert "EpicBlueIDs"   "epicblueGemIDs.lua" 
convert "EpicRedIDs"    "epicredGemIDs.lua" 
convert "EpicYellowIDs" "epicyellowGemIDs.lua" 

echo "-- List of Gem IDs by color" > "GemIDs.lua"
cat "metaGemIDs.lua" "blueGemIDs.lua" "redGemIDs.lua" "yellowGemIDs.lua" "epicblueGemIDs.lua" "epicredGemIDs.lua" "epicyellowGemIDs.lua" >> "GemIDs.lua"
echo "Considerater.gemTable = {" >> "GemIDs.lua"
echo "  [\"meta\"] = Considerater.MetaIDs," >> "GemIDs.lua"
echo "  [\"red\"] = Considerater.RedIDs," >> "GemIDs.lua"
echo "  [\"blue\"] = Considerater.BlueIDs," >> "GemIDs.lua"
echo "  [\"yellow\"] = Considerater.YellowIDs," >> "GemIDs.lua"
echo "  [\"epicred\"] = Considerater.EpicRedIDs," >> "GemIDs.lua"
echo "  [\"epicblue\"] = Considerater.EpicBlueIDs," >> "GemIDs.lua"
echo "  [\"epicyellow\"] = Considerater.EpicYellowIDs," >> "GemIDs.lua"
echo "}" >> "GemIDs.lua"
